package cn.com.qmth.examcloud.question.core.paper;

import java.io.Serializable;
import java.util.List;

/**
 * 题分组集合
 *
 * @author WANGWEI
 * @date 2018年8月15日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class DefaultQuestionGroup implements Serializable {

	private static final long serialVersionUID = 2149814711274942645L;

	/**
	 * 题组名称
	 */
	private String groupName;

	/**
	 * 题包装器集合<br>
	 * 属性名首字母要改小写
	 */
	private List<DefaultQuestionStructureWrapper> QuestionWrapperList;

	/**
	 * 题组总分
	 */
	private Float groupScore;

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public List<DefaultQuestionStructureWrapper> getQuestionWrapperList() {
		return QuestionWrapperList;
	}

	public void setQuestionWrapperList(List<DefaultQuestionStructureWrapper> questionWrapperList) {
		QuestionWrapperList = questionWrapperList;
	}

	public Float getGroupScore() {
		return groupScore;
	}

	public void setGroupScore(Float groupScore) {
		this.groupScore = groupScore;
	}

}
